Bug 1313613 - Need documentation for blkiotune options in libvirt.org
Need documentation for blkiotune options in libvirt.org
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 22:23 EST by Pei Zhang
Modified: 2016-04-14 13:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 13:30:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pei Zhang 2016-03-01 22:23:59 EST
Description of problem:
Options description for blkiotune are missing in libvirt.org

Version-Release number of selected component (if applicable):
libvirt-1.3.1-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. open libvirt doc for <blkiotune>, it only has explanation for <weight> and <device>

file:///usr/share/doc/libvirt-docs-1.3.2/html/formatdomain.html#elementsBlockTuning

2. check man page and virsh help
# virsh help blkiotune
......
    --device-weights <string>  per-device IO Weights, in the form of /path/to/device,weight,...
    --device-read-iops-sec <string>  per-device read I/O limit per second, in the form of /path/to/device,read_iops_sec,...
    --device-write-iops-sec <string>  per-device write I/O limit per second, in the form of /path/to/device,write_iops_sec,...
    --device-read-bytes-sec <string>  per-device bytes read per second, in the form of /path/to/device,read_bytes_sec,...
    --device-write-bytes-sec <string>  per-device bytes wrote per second, in the form of /path/to/device,write_bytes_sec,...
......

3.xml in domain
# virsh blkiotune r72
weight         : 888
device_weight  :
device_read_iops_sec: /dev/sdc,1024000
device_write_iops_sec:
device_read_bytes_sec: /dev/sdc,102400
device_write_bytes_sec:

# virsh dumpxml r72|grep blkiotune -A 6
  <blkiotune>
    <weight>888</weight>
    <device>
      <path>/dev/sdc</path>
      <read_iops_sec>1024000</read_iops_sec>
      <read_bytes_sec>102400</read_bytes_sec>
    </device>
......

Actual results:
As step 1, missing explanations for other four options in device

Expected results:
Update doc.

Additional info:
Refer iotune in <disk>, it has all options explanations.
Comment 2 Jaroslav Suchanek 2016-03-02 16:58:46 EST
formatdomain.html is primarily upstream documentation.
Comment 3 Cole Robinson 2016-04-13 16:38:07 EDT
Patch sent upstream:

http://www.redhat.com/archives/libvir-list/2016-April/msg00767.html
Comment 4 Cole Robinson 2016-04-14 13:30:24 EDT
commit fd52de12c0088cbd41011c1e4473bcb680b0ff36
Author: Cole Robinson <crobinso@redhat.com>
Date:   Wed Apr 13 16:37:17 2016 -0400

    docs: domain: document blkiotune {read, write}_{bytes, iops}_sec
    
    Added with commit 3b431929 in v1.2.2 but never documented
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1313613

Note You need to log in before you can comment on or make changes to this bug.